Bug 179539 - vncviewer goes black with x cursor
vncviewer goes black with x cursor
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-01 02:06 EST by Alan Pinnt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 10:55:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Pinnt 2006-02-01 02:06:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
I am able to use the vnc viewer when I am logged in the computer psyically and once I log out, ssh vncserver I try to login again I get a black screen with a x cursor. I want to run gnome and its not working seems to be a bug but I cannot find a fix and I have tried everything in the startx file. Any ideas?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.logon to server via vnc
2.screen goes black
3.
  

Expected Results:  Show the gnome desktop or the login screen.

Additional info:
Comment 1 Jitka Kozana 2006-02-03 05:23:10 EST
Please send the version of vnc and the log file (~/.vnc). 
Comment 2 Alan Pinnt 2006-02-06 00:48:25 EST
(In reply to comment #1)
> Please send the version of vnc and the log file (~/.vnc). 

Its the version with fedora core 3 and has not been updated so whatever came out
with fedora core 3 thats what it is. As for the log file here it is:

"
Xvnc version 4.0 - built Oct  6 2004 08:11:33
Underlying X server release 60801000, The X.Org Foundation


Sun Feb  5 22:06:49 2006
 vncext:      VNC extension running!
 vncext:      Listening for VNC connections on port 5901
 vncext:      Listening for HTTP connections on port 5801
 vncext:      created VNC server for screen 0
error opening security policy file /usr/X11R6/lib/X11/xserver/SecurityPolicy
Could not init font path element /usr/X11R6/lib/X11/fonts/TTF/, removing from list!
Could not init font path element /usr/X11R6/lib/X11/fonts/CID/, removing from list!
sh: /root/.vnc/xstartup: Permission denied

Sun Feb  5 22:07:26 2006
 Connections: accepted: 192.168.1.103::2003
 SConnection: Client needs protocol version 3.8
 SConnection: Client requests security type VncAuth(2)

Sun Feb  5 22:07:30 2006
 VNCSConnST:  Server default pixel format depth 16 (16bpp) little-endian rgb565
 VNCSConnST:  Client pixel format depth 8 (8bpp) rgb max 3,3,3 shift 4,2,0

Sun Feb  5 22:07:33 2006
 Connections: closed: 192.168.1.103::2003 (Clean disconnection)
 SMsgWriter:  framebuffer updates 2
 SMsgWriter:    ZRLE rects 3, bytes 202
 SMsgWriter:    raw bytes equivalent 786980, compression ratio 3895.940594
"

here is the startX file:

"#!/bin/sh

# Uncomment the following two lines for normal desktop:
unset SESSION_MANAGER
exec /etc/X11/xinit/xinitrc

[ -x /etc/vnc/xstartup ] && exec /etc/vnc/xstartup
[ -r $HOME/.Xresources ] && xrdb $HOME/.Xresources
xsetroot -solid grey
vncconfig -iconic &
xterm -geometry 80x24+10+10 -ls -title "$VNCDESKTOP Desktop" &
twm &"
Comment 3 Jitka Kozana 2006-02-08 10:12:17 EST
Please try the newest version of vnc (fc4 or fc5test2), whether the problem is 
still present. 
Comment 4 John Thacker 2006-05-05 10:55:15 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.